function estLabels = nsClassify(Xtest,Ufull)
% Nearest-subspace classifier
% 
% Syntax estLabels = nsClassify(Xtest,Ufull)
%
% Inputs:       Xtest is a D x N matrix of test data
%               Ufull is a D x r x K matrix where Ufull(:,:,k) is a basis for
%               the subspace that best represents class k
%
% Outputs:      estLabels is an N x 1 vector of estimated class labels
