function Ufull = trainUoS(X,y,r)
% Learn union of r-dimensional subspaces that best fit a dataset from K classes
% 
% Syntax Ufull = trainUoS(X,y,r)
%
% Inputs:       X is a D x N matrix of training data
%               y is an N x 1 vector of labels
%               r is the rank/dimension of the subspaces
%
% Outputs:      Ufull is a D x r x K matrix where Ufull(:,:,k) is a basis for
%               the subspace that best represents class k
